function [data] = ltspice(cir_lines, timeout)
    %Will throw exception if doesn't converge and so produced no output

    if ((nargin < 2) || (isempty(timeout)))
        timeout = 1;
    end
    
    % Save file .cir line-by-line
    fp = fopen('temp.cir', 'w+');
    for ii = 1 : length(cir_lines)
     fprintf(fp, '%s\n', cir_lines{ii});
    end

    fclose(fp); 
    
    call_spice(timeout);

    % Read data saved in .csv files
    % (assuming name termination _ac_out.csv and _tran_out.csv)
    data = getLTSpicedata('temp.raw');
    
    
    function []= call_spice(timeout)
        %%%Calls LTSPice, but if LTSpice hangs, or runs for too long, then
        %%% kills it after timeout seconds
        
        %! "C:\Program Files (x86)\LTC\LTspiceIV\scad3.exe" -ascii -b temp.cir
        
        % delete temp.raw so that if we kill LTSpice then the old raw data won't be read
        [status, output] = system('start "" "C:\Program Files (x86)\LTC\LTspiceIV\scad3.exe" -ascii -b temp.cir');
        
        if status ~= 0
            error('Failed to starts LTspice. Output was: %s', output);
        end
        
        check_period = min(0.01,timeout);
        num_checks = timeout/check_period;
        
        
        
        for ii = 1 : num_checks
           [notfound, output] = system('tasklist|find "scad3" > NUL');
           
              %if the process was n
           if notfound
               %if not found then  it is not running anymore
              %thus it has completed
              
              return 
           else
               pause(check_period); %Wait for checkperiod
           end
        end
        [status, output] = system('taskkill /im scad3.exe');
        pause(check_period)%Give it time to actually die
        [status, output] = system('del temp.raw');
        error('LTspice Timed-out after %is.', timeout)
        
        
        
        
        
