function [ score, area] = siliconArea( solution,...
                                    propDelay,...
                                    maxDelay,...
                                    length,...
                                    maxWidth)
    %SILICONAREA Compute the siliconArea based fitness
    %   Detailed explanation goes here
    [numTransistors,~] = size(solution);
    area = sum(solution * length);
    if (~isinf(propDelay))
        if (propDelay > maxDelay)
            maxArea = numTransistors * (length * maxWidth);
            score = propDelay+maxArea; %APPROXIMATELY equal to maxArea, as proDelay is in x10^-9s
        else
            score = area;
        end
    else
        score = Inf;
    end

end

