function invertChainSizePlotter()

    filenames = {'Results/inverter-chain-veryhard-p80/p_ic_with_params_long_test_3t.csv'...
     };
     
    
    
    fig = figure;
    ax = gca;
    inverterWidths = getInverterWidths(filenames);
    
    barExtended(ax,inverterWidths)


end

function inverterWidths = getInverterWidths(filenames)
    inverterWidthsTotal = 0;
    for ii=1:length(filenames)
        
        gbesthistory = csvread(filenames{ii});
        gbest = gbesthistory(end,:);
        widths = gbest(1:length(gbest)-3)'; %[P1,N1,P2,N2,P3,N3...]
        WPs = widths(1:2:end);
        WNs = widths(2:2:end);
        inverterWidthsTotal = inverterWidthsTotal + [WPs,-1*WNs];
    end
    inverterWidths=inverterWidthsTotal/length(filenames);
    
end


function barExtended(varargin) 
    % Create a stacked bar graph of both negative and positive values. 
    % Sources from: http://www.mathworks.com/matlabcentral/answers/97899-can-the-bar-and-barh-functions-in-matlab-7-0-1-r14sp1-handle-negative-values-when-plotting-a-stack
    % Syntax. 
    % barExtended(Y) 
    %   Create a new figure window and place the bar plot within it. 
    % 
    % barExtended(axes_handle,Y) 
    %   Place the bar plot with the axes pointed to be axes_handle. 

    % Parse input. 
    if nargin == 1 
      Y = varargin{1}; 
    else 
      Y = varargin{2}; 
    end 

    % Positive components. 
    fh(1) = figure; 
    hP    = bar(gca,Y.*(Y>0),'stacked'); 
    ahP   = gca; 

    % Negative components. 
    fh(2) = figure; 
    hN    = bar(Y.*(Y<0),'stacked'); 

    % Clean up. 
    if nargin == 1 
      set([hP,hN],'parent',ahP); 
      close(fh(2));
    else 
      set([hP,hN],'parent',varargin{1}); 
      close(fh);
    end 
end 