function [data] = spice_inverter(Ws)
W_N = Ws(1); 
W_P = Ws(2);

cir_lines = {'CMOS inverter';...
'*#save @Vdd[i] @Vdd[p] @Vin[i] @Vin[p] @CL[i] @CL[p] V(2) @R1[i]';...
'*#save @R1[p] V(dd) V(4) V(1) @M3[id] @M3[ig] @M3[iss] @M3[ib]';...
'*#save @M3[p] @M1[id] @M1[ig] @M1[iss] @M1[ib] @M1[p]';...
'*#alias vout v(1)';...
'*#alias vin v(4)';...
'.TRAN 10p 9n';... #Change Transient Simulation Here
'.OPTIONS acct';...
'.PRINT  TRAN vout';...
'.PRINT  TRAN vin';...
'Vdd dd 0 DC=10';...
'Vin 4 0 PULSE 0 10 1n 0 0 4ns 1 ';...
'CL 2 0 0.1p';...
'R1 1 2 100';...
strcat('M3 1 4 dd dd CMOSP L=1.2u W=', num2str(W_N),'u');... 
'.MODEL CMOSP PMOS Level=3 CGBO=3.3650E-10 CGDO=5.3752E-11';...
'+ CGSO=5.3752E-11 CJ=4.8447E-04 CJSW=1.6457E-10';...
'+ DELTA=1.5200E+00 ETA=1.6410E-01 GAMMA=0.4863';...
'+ KAPPA=9.6940E+00 KP=2.9352E-05 LD=2.2000E-08 MJ=0.5027';...
'+ MJSW=0.217168 NFS=3.46E+12 NSUB=1.8900E+16 PB=0.850000';...
'+ PHI=0.600000 RSH=1.0470E+02 THETA=1.2480E-01 TOX=2.1200E-08';...
'+ TPG=-1 UO=180.2 VMAX=3.7320E+05 VTO=-0.9056 XJ=0.200000U';...
strcat('M1 1 4 0 0 CMOSN L=1.2u W=', num2str(W_P),'u');... 
'.MODEL CMOSN NMOS Level=3 CGBO=3.6144E-10 CGDO=4.0241E-10';...
'+ CGSO=4.0241E-10 CJ=3.8541E-04 CJSW=1.3940E-10';...
'+ DELTA=6.9670E-01 ETA=4.3680E-02 GAMMA=0.5863';...
'+ KAPPA=1.3960E-01 KP=9.6379E-05 LD=1.6470E-07 MJ=1.1854';...
'+ MJSW=0.125195 NFS=1.98E+12 NSUB=2.7470E+16 PB=0.800000';...
'+ PHI=0.600000 RSH=8.5450E+01 THETA=8.1220E-02 TOX=2.1200E-08';...
'+ TPG=1 UO=591.7 VMAX=1.7330E+05 VTO=0.7860 XJ=0.200000U';...
'.END '};

data = isspice(cir_lines);